[PATCH 3/5] Make ubuntu-regression-suite skippable on unbootable kernels.
Dimitri John Ledkov
xnox at ubuntu.com
Thu Mar 7 15:32:20 UTC 2019
---
debian/tests/control | 2 +-
debian/tests/ubuntu-regression-suite | 11 +++++++++++
2 files changed, 12 insertions(+), 1 deletion(-)
diff --git a/debian/tests/control b/debian/tests/control
index d2bd0c54ddb8..ed1e6c8becc5 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -4,4 +4,4 @@ Restrictions: allow-stderr
Tests: ubuntu-regression-suite
Depends: build-essential, gcc-multilib [amd64 armhf i386], gdb, git, bzr
-Restrictions: allow-stderr, isolation-machine, breaks-testbed
+Restrictions: allow-stderr, isolation-machine, breaks-testbed, skippable
diff --git a/debian/tests/ubuntu-regression-suite b/debian/tests/ubuntu-regression-suite
index 1de5ce62563d..b4bb997416a5 100755
--- a/debian/tests/ubuntu-regression-suite
+++ b/debian/tests/ubuntu-regression-suite
@@ -1,6 +1,17 @@
#!/bin/sh
set -e
+# Only run regression-suite on kernels we can boot in canonistack
+source=`dpkg-parsechangelog -SSource`
+case $source in
+ linux|linux-hwe|linux-kvm|linux-oem)
+ ;;
+ *)
+ echo "ubuntu-regression-suite is pointless, if one cannot boot the kernel"
+ exit 77
+ ;;
+esac
+
sver=`dpkg-parsechangelog -SVersion`
read x rver x </proc/version_signature
--
2.20.1
More information about the kernel-team
mailing list